<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Pixatres
 */

?>

	<?php do_action('pixatres_before_footer'); ?>
	
	<footer id="footer-widgets">
		<div class="container">
			<div class="row">
				<?php if (is_active_sidebar( 'footer-1' )) : ?>
					<div class="col-md-4 footer-column footer-column-1">
						<?php dynamic_sidebar( 'footer-1' ); ?>
					</div>
				<?php endif; ?>
				<?php if (is_active_sidebar( 'footer-2' )) : ?>
					<div class="col-md-4 footer-column footer-column-2">
						<?php dynamic_sidebar( 'footer-2' ); ?>
					</div>
				<?php endif; ?>
				<?php if (is_active_sidebar( 'footer-3' )) : ?>
					<div class="col-md-4 footer-column footer-column-3">
						<?php dynamic_sidebar( 'footer-3' ); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</footer>
	<button class="backToTopBtn">
         <img id="scroll" src="<?php echo esc_url( get_template_directory_uri(). '/design-files/images/arrow-up.png');?>"?>
    </button>
	<footer id="colophon" class="site-footer">
		<div class="site-info">
			&copy; <?php echo get_bloginfo('name');?> <?php echo date('Y');?>
			<span class="sep"> | </span>
				<?php
				/* translators: 1: Theme name, 2: Theme author. */
				printf( esc_html__( 'Designed by %1$s.', 'pixatres' ), '<a href="https://pixahive.com/themes/pixatres/">PixaHive</a>' );
				?>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php get_template_part( 'template-parts/header-mobile/sidr' ); ?>
<?php wp_footer(); ?>

</body>
</html>
