<?php
/**
 *	Basic Settings
 */
function pixatres_basic_settings_customize_register( $wp_customize ) {
	
	$wp_customize->add_section(
		'pixatres-help-support', array(
			'title'		=>	__('Theme Support & Docs', 'pixatres'),
			'priority'	=>	10,
		)
	);
	
	$wp_customize->add_setting('pixahive-welcome-message', array(
		'sanitize_callback'	=>	'sanitize_text_field' 
		)
	);
	
	$wp_customize->add_control(
		new pixatres_infobox_control(
			$wp_customize, 'pixahive-welcome-message', array(
				'label'		=>	__('Thank you for choosing PixaTres theme by PixaHive.', 'pixatres'),
				'description'	=>	__('PixaTres theme is a brilliant theme in the making. We need your help make it even more better. If you have any feature suggestions, you are more than welcome. <br /> We are providing 100% free support with this theme without the need of upgrading to any pro version. <a href="https://pixahive.com/themes/pixatres/" target="_blank">Read Documentation / Contact Us</a> for support, requests, suggestions or just to say how awesome this theme is. To know what your site should look like, <a href="https://theme-demos.pixahive.com/pixatres/" target="_blank">view Theme Demo</a>.', 'pixatres'),
				'priority'		=>	10,
				'section'		=>	'pixatres-help-support',
			)
		)
	);
	
	//Featured Areas
	$wp_customize->add_panel(
		'pixatres-basic-settings', array(
			'title'		=>	__('Basic Settings', 'pixatres'),
			'priority'	=>	20
		)
	);
	
	$wp_customize->add_section(
		'pixatres-homepage', array(
			'title'		=>	__('Homepage', 'pixatres'),
			'priority'	=>	10,
			'panel'		=>	'pixatres-basic-settings'
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-latest-post-title', array(
			'default'		=>	__('Latest Posts','pixatres'),
			'sanitize_callback'	=>	'sanitize_text_field' 
		)
	);
	
	$wp_customize->add_control(
		'pixatres-latest-post-title', array(
			  'type' => 'text',
			  'section'		=>	'pixatres-homepage',
			  'label' => __( 'Latest Posts Heading','pixatres' ),
			  'description' => __( 'The Heading of the Section which displays the latest posts on the homepage. Below all featured areas.','pixatres' ),
			)	
	);
	
}
add_action('customize_register', 'pixatres_basic_settings_customize_register');