<?php 
function pixatres_colors_customize_register($wp_customize) {
	
	$wp_customize->add_setting(
		'pixatres-background-darker-color', array(
			'default'	=>	'#EEEEEE',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-background-darker-color', array(
				'label'		=>	esc_html__('Background (Darker Shade)', 'pixatres'),
				'description' =>	esc_html__('A Slightly darker shade of the main background color. Helpful in adding accents to the design.', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-background-darker-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-primary-color', array(
			'default'	=>	'#E07A5F',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-primary-color', array(
				'label'		=>	esc_html__('Primary Color', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-primary-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-primary-text-color', array(
			'default'	=>	'#f9ffe7',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-primary-text-color', array(
				'label'		=>	esc_html__('Primary Text Color', 'pixatres'),
				'description' => esc_html__('This is the color of the text, where the background color is Primary color. Like Menu Bar, Buttons, etc.', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-primary-text-color',
				'priority'	=>	30
			)	
		)
	);
	
	//Secondary
	$wp_customize->add_setting(
		'pixatres-secondary-color', array(
			'default'	=>	'#3d405b',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-secondary-color', array(
				'label'		=>	esc_html__('Secondary Color', 'pixatres'),
				'description' =>	esc_html__('Secondary Color. Used for Links within content, sidebar, etc.', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-secondary-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-secondary-dark-color', array(
			'default'	=>	'#33202a',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-secondary-dark-color', array(
				'label'		=>	esc_html__('Secondary Color (Darker Shade)', 'pixatres'),
				'description' => esc_html__('Darker shade of Secondary color. Used on Link Hover, etc.', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-secondary-dark-color',
				'priority'	=>	30
			)	
		)
	);
	
	//Text Colors.
	$wp_customize->add_setting(
		'pixatres-text-color', array(
			'default'	=>	'#555555',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-text-color', array(
				'label'		=>	esc_html__('Text Color', 'pixatres'),
				'description' =>	esc_html__('Text Color. Main color of the content.', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-text-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-text-dark-color', array(
			'default'	=>	'#111111',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-text-dark-color', array(
				'label'		=>	esc_html__('Text Color (Darker shade)', 'pixatres'),
				'description' =>	esc_html__('Darker Shade of the text color. Used for headings and important text.', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-text-dark-color',
				'priority'	=>	30
			)	
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-text-light-color', array(
			'default'	=>	'#777777',
			'sanitize_callback'	=>	'sanitize_hex_color'
		)
	);
	
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize, 'pixatres-text-light-color', array(
				'label'		=>	esc_html__('Text Color (Lighter Shade)', 'pixatres'),
				'description' =>	esc_html__('Lighter Shade of Text Color. Used for Top Menu, Meta Data and other text.', 'pixatres'),
				'section'	=>	'colors',
				'settings'	=>	'pixatres-text-light-color',
				'priority'	=>	30
			)	
		)
	);
		
}
add_action('customize_register','pixatres_colors_customize_register');