<?php
/**
 *	Featured Areas
 */
function pixatres_featured_areas_customize_register( $wp_customize ) {
	
	
	//Featured Areas
	$wp_customize->add_panel(
		'pixatres-featured-areas', array(
			'title'		=>	__('Featured Areas', 'pixatres'),
			'priority'	=>	30
		)
	);
	
	//Carousel
	$wp_customize->add_section(
		'pixatres-carousel', array(
			'title'		=>	__('Featured Carousel', 'pixatres'),
			'priority'	=>	10,
			'panel'		=>	'pixatres-featured-areas'
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-enable-carousel', array(
			'default'		=>	0,
			'sanitize_callback'	=>	'absint' 
		)
	);
	
	$wp_customize->add_control(
		'pixatres-enable-carousel', array(
			  'type' => 'checkbox',
			  'section'		=>	'pixatres-carousel',
			  'label' => __( 'Enable Carousel','pixatres' ),
			  'description' => __( 'A Sliding Carousel appears at the top of the Homepage, below the Menu Bar.','pixatres' ),
			)	
	);
	
	$wp_customize->add_setting(
		'pixatres-carousel-cat', array(
			'default'		=>	0,
			'sanitize_callback'	=>	'absint'
		)
	);
	
	$wp_customize->add_control(
		new pixatres_WP_Customize_Category_Control(
			$wp_customize, 'pixatres-carousel-cat', array(
				'label'		=>	__('Category', 'pixatres'),
				'description'	=>	__('Category whose posts need to be featured..', 'pixatres'),
				'priority'		=>	10,
				'section'		=>	'pixatres-carousel'
				
			)
		)
	);
	
	$wp_customize->add_setting(
		'pixatres-carousel-count', array(
			'default'		=>	6,
			'sanitize_callback'	=>	'absint'
		)
	);
	
	$wp_customize->add_control( new WP_Customize_Control(
		$wp_customize,
		'pixatres-carousel-count',
			array(
				'label'    => __( 'No. of Posts', 'pixatres' ),
				'description'    => __( 'Recommended to set this value to 6 or more.', 'pixatres' ),
				'section'  => 'pixatres-carousel',
				'settings' => 'pixatres-carousel-count',
				'type'     => 'number'
			)
		)
	);
	
	//Featured Areas Section Generator
	$i = 0;
	for ($i = 1; $i < 6; $i++) :
		$wp_customize->add_section(
			'pixatres-fa-'.$i, array(
				'title'		=>	__('Featured Posts Area - ', 'pixatres').$i,
				'priority'	=>	10,
				'panel'		=>	'pixatres-featured-areas'
			)
		);
		
		//Enable
		$wp_customize->add_setting(
			'pixatres-fa-enable-'.$i, array(
				'default'		=>	0,
				'sanitize_callback'	=>	'absint' 
			)
		);
		
		$wp_customize->add_control(
			'pixatres-fa-enable-'.$i, array(
				  'type' => 'checkbox',
				  'section'		=>	'pixatres-fa-'.$i,
				  'label' => __( 'Enable','pixatres' ),
				  'description' => __( 'Enable this Featured Area.','pixatres' ),
				)	
		);
		
		//Category Select Box
		$wp_customize->add_setting(
			'pixatres-fa-cat-'.$i, array(
				'default'		=>	0,
				'sanitize_callback'	=>	'absint' 
			)
		);
		
		$wp_customize->add_control(
			new pixatres_WP_Customize_Category_Control(
				$wp_customize, 'pixatres-fa-cat-'.$i, array(
					'label'		=>	__('Category', 'pixatres'),
					'description'	=>	__('Category whose posts need to be featured', 'pixatres'),
					'priority'		=>	10,
					'section'		=>	'pixatres-fa-'.$i,
				)
			)
		);
		
		//Show Title Checkbox
		$wp_customize->add_setting(
			'pixatres-fa-show-title-'.$i, array(
				'default'		=>	0,
				'sanitize_callback'	=>	'absint' 
			)
		);
		
		$wp_customize->add_control(
			'pixatres-fa-show-title-'.$i, array(
				  'type' => 'checkbox',
				  'section'		=>	'pixatres-fa-'.$i,
				  'label' => __( 'Show Title','pixatres' ),
				  'description' => __( 'By Default, the category name will appear as the title above the featured section.','pixatres' ),
				)	
		);
		
		$wp_customize->add_setting(
			'pixatres-fa-style-'.$i, array(
				'default' => 'right_sidebar',
				'sanitize_callback'	=>	'pixatres_sanitize_fa_style'
			)
		);
		
		$wp_customize->add_control(
			new pixatres_Image_Radio_Control($wp_customize, 
				'pixatres-fa-style-'.$i, array(
					'type' => 'radio',
					'label' => esc_html__('Select Featured Area Style', 'pixatres'),
					'section' => 'pixatres-fa-'.$i,
					'settings' => 'pixatres-fa-style-'.$i,
					'choices' => array(
						'style1' => get_template_directory_uri() . '/inc/customizer/images/fa-style1.png',
						'style2' => get_template_directory_uri() . '/inc/customizer/images/fa-style2.png',
					)
				)
			)
		);
		
		
	endfor;	
	
}
add_action('customize_register', 'pixatres_featured_areas_customize_register');