<?php 
/*
* Display Featured Modules Function
*/
 
function pixatres_display_featured_module($style, $enable, $category, $show_title) {
	
	switch ($style) {
	
	case 'style1':
			if ($enable) :
			?><div class="featured-module featured-module-style1 row">
				<?php if ($category && $show_title) : ?>
					<div class="module-title col-md-12">
						<h2>
							<span><?php echo esc_html( get_cat_name( $category ) ); ?></span>
						</h2>
					</div>
				<?php endif; ?>
				<?php 
					$args = array(
						'posts_per_page' => 7,
						'ignore_sticky_posts' => 1, //Customizations to follow
					);
					if ($category) { $args['category__in'] = array($category); }
					
					$featured_module_posts = new WP_Query($args); 
						$post_counter = 1;
						while ($featured_module_posts -> have_posts()) : $featured_module_posts -> the_post();
							$post_class = ($post_counter > 3) ? 'col-md-6 col-lg-3 col-sm-6 small' : 'col-md-6 col-sm-12 col-lg-4 big'; 
						?>
					
						<div class="featured-post <?php echo esc_html($post_class) ?>"> 
								<a href="<?php the_permalink(); ?>">
									<?php 
										if (has_post_thumbnail()):
											the_post_thumbnail( 'pixatres-thumbnail-4x3' );
										else: ?>
											<img src="<?php echo esc_url(get_template_directory_uri()."/design-files/images/thumbnail.jpg"); ?>"><?php 
										endif;	?>
									<h2 class="entry-title"><?php the_title(); ?></h2>
									<?php 
										$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
										$time_string = sprintf(
											$time_string,
											esc_attr( get_the_date( DATE_W3C ) ),
											esc_html( get_the_date() ),
											esc_attr( get_the_modified_date( DATE_W3C ) ),
											esc_html( get_the_modified_date() )
										);
									?> 
									<div class="footer-meta"><?php echo $time_string; ?></div>
									<div class="box-shadow"></div>
								</a>
								
						</div>
						
						<?php $post_counter++;
						endwhile;
						wp_reset_postdata();
						?>
				  
			</div> <?php
			endif;
		break;
	
	case 'style2': 
		if ($enable) : ?>
			<div class="featured-module featured-module-style2 row">
				<?php if ($category && $show_title) : ?>
					<div class="module-title col-md-12">
						<h2>
							<span><?php echo esc_html(get_cat_name( $category )); ?></span>
						</h2>
					</div>
				<?php endif; ?>
				<?php 
					$args = array(
						'posts_per_page' => 4,
						'ignore_sticky_posts' => 1 //Customizations to follow
					);
					if ($category) { $args['category__in'] = array($category); }
					
					$featured_module_posts = new WP_Query($args); 
						while ($featured_module_posts -> have_posts()) : $featured_module_posts -> the_post();
						?>
					
						<div class="featured-post col-sm-6 col-md-3 col-lg-3 small"> 
							<a href="<?php the_permalink(); ?>">
								<?php 
								if (has_post_thumbnail()):
									the_post_thumbnail( 'pixatres-thumbnail-4x3' );
								else: ?>
									<img src="<?php echo esc_url(get_template_directory_uri()."/design-files/images/thumbnail.jpg"); ?>"><?php 
								endif;	?>
								<h2 class="entry-title"><?php the_title(); ?></h2>
								<?php 
									$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
									$time_string = sprintf(
										$time_string,
										esc_attr( get_the_date( DATE_W3C ) ),
										esc_html( get_the_date() ), 
										esc_attr( get_the_modified_date( DATE_W3C ) ),
										esc_html( get_the_modified_date() )
									);
								?> 
								<div class="footer-meta"><?php echo $time_string; ?></div>
							</a>
						</div>
						
						<?php 
						endwhile;
						wp_reset_postdata(); ?>
				  
			</div> <?php
			endif;
		break;	
	}//end switch
}