<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Pixatres
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('row blog-style1'); ?>>
	<div class="thumbnail col-md-4">
		<?php 
		if (has_post_thumbnail()):
			the_post_thumbnail( 'pixatres-thumbnail-4x3' );
		else: ?>
			<img src="<?php echo esc_url( get_template_directory_uri()."/design-files/images/thumbnail.jpg" ); ?>"><?php 
		endif;	?>
	</div>
	
	<div class="post-details col-md-8">
		<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
		
		<div class="entry-meta">
			<?php
			pixatres_posted_on();
			pixatres_posted_by();
			?>
		</div><!-- .entry-meta -->
		
		<div class="entry-excerpt">
			<?php the_excerpt(); ?>
		</div>
		
	</div>

</article><!-- #post-<?php the_ID(); ?> -->
